Installation du pilote propriétaire ATI Catalyst™ 8.1

TI Catalyst™ 8.1 Proprietary Linux x86 Display Driver

Je viens d’installer les pilotes de ma carte graphique en suivant le tutoriel: http://doc.ubuntu-fr.org/ati.run

Avant de commencer dans les bidouillages, il ne faut pas oublier de vérifier si l’on a bien les dépots universes et multiverses.

I. Procédure d’installation:

  • Suppression des divers drivers graphiques:
sudo apt-get remove fglrx*
  • Mise à jour du système:
sudo apt-get update && sudo apt-get upgrade
  • Installation des dépendances:
sudo apt-get install module-assistant build-essential
sudo apt-get install fakeroot dh-make debconf libstdc++5 gcc-3.3-base linux-headers-$(uname -r)

Téléchargement du dernier driver ATI, qu’on peut trouver sur le site http://ati.amd.com/support/driver.html
Version: 8.1
Date Posted: Jan. 18, 2008
Package Includes: Automated installer and Display Drivers for X.Org 6.7, 6.8, 6.9, 7.0, 7.1, 7.2, 7.3

Il faut se placer dans le répertoire ou l’on a téléchargé le driver,

  • puis installer les nouveaux drivers:
chmod +x ati-driver-installer-8-01-x86.x86_64.run
sudo ./ati-driver-installer-8-01-x86.x86_64.run



Created directory fglrx-install.EA6537
Verifying archive integrity… All good.
Uncompressing ATI Proprietary Linux Driver-8.452.1…………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Detected configuration:
Architecture: i686 (32-bit)
X Server: X.Org 7.1 and later releases
Removing temporary directory: fglrx-install.EA6537

Continuer l’installation en mode automatique (çà marche très bien :) )

  • Pour la création des paquets:
sudo ./ati-driver-installer-8-01-x86.x86_64.run --buildpkg Ubuntu/gutsy

Created directory fglrx-install.lj9683
Verifying archive integrity… All good.
Uncompressing ATI Proprietary Linux Driver-8.452.1…………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………………
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Ubuntu/gutsy
Package /home/malagasy/dl_net/ati_driver/xorg-driver-fglrx_8.452.1-1_i386.deb has been successfully generated
Package /home/malagasy/dl_net/ati_driver/xorg-driver-fglrx-dev_8.452.1-1_i386.deb has been successfully generated
Package /home/malagasy/dl_net/ati_driver/fglrx-kernel-source_8.452.1-1_i386.deb has been successfully generated
Package /home/malagasy/dl_net/ati_driver/fglrx-amdcccle_8.452.1-1_i386.deb has been successfully generated
Removing temporary directory: fglrx-install.O17790
malagasy@malagasy-laptop:~/dl_net/ati_driver$

  • Puis pour l’installation de ces paquets:
sudo dpkg -i xorg-driver-fglrx_8.452.1-1_i386.deb
sudo dpkg -i xorg-driver-fglrx-dev_8.452.1-1_i386.deb
sudo dpkg -i fglrx-kernel-source_8.452.1-1_i386.deb

(Lecture de la base de données… 100717 fichiers et répertoires déjà installés.)
Préparation du remplacement de fglrx-kernel-source 8.452.1-1 (en utilisant fglrx-kernel-source_8.452.1-1_i386.deb) …
Dépaquetage de la mise à jour de fglrx-kernel-source …
dpkg : des problèmes de dépendances empêchent la configuration de fglrx-kernel-source :
fglrx-kernel-source dépend de dkms ; cependant :
Le paquet dkms n’est pas installé.
dpkg : erreur de traitement de fglrx-kernel-source (–install) :
problèmes de dépendances – laissé non configuré
Des erreurs ont été rencontrées pendant l’exécution :
fglrx-kernel-source

sudo dpkg -i fglrx-amdcccle_8.452.1-1_i386.deb

Sélection du paquet fglrx-amdcccle précédemment désélectionné.
(Lecture de la base de données… 100717 fichiers et répertoires déjà installés.)
Dépaquetage de fglrx-amdcccle (à partir de fglrx-amdcccle_8.452.1-1_i386.deb) …
Paramétrage de fglrx-amdcccle (8.452.1-1) …

II. Configuration de xorg

La configuration automatique ne marche pas chez moi, donc je suis passé à la configuration manuelle.

Dans la section device, il faut remplacer « ati » ou autre par « fglrx » si ce n’est déjà fait; puis il faut rajouter les 2 options suivantes:

Option          "VideoOverlay" "on"
Option "OpenGLOverlay" "off"

Et enfin redémarrer le PC.

III. L’accélération graphique est-elle activée?

malagasy@malagasy-laptop:~$ glxinfo | grep « direct rendering »
direct rendering: Yes

Mesure du gain de l’accélération graphique:

malagasy@malagasy-laptop:~$ glxgears
10611 frames in 5.0 seconds = 2122.088 FPS
10741 frames in 5.0 seconds = 2148.172 FPS
10703 frames in 5.0 seconds = 2140.574 FPS
10731 frames in 5.0 seconds = 2146.044 FPS
10655 frames in 5.0 seconds = 2130.930 FPS
10747 frames in 5.0 seconds = 2149.274 FPS
10749 frames in 5.0 seconds = 2149.601 FPS
10747 frames in 5.0 seconds = 2149.334 FPS
10743 frames in 5.0 seconds = 2148.514 FPS
10747 frames in 5.0 seconds = 2149.337 FPS
10746 frames in 5.0 seconds = 2149.125 FPS
10711 frames in 5.0 seconds = 2142.117 FPS
10741 frames in 5.0 seconds = 2148.020 FPS

IV. Optimisation du système avec une carte ATI:

J’ai rajouté dans /etc/modules les 2 lignes suivantes:

fglrx // module fglrx pour l’ati – le mieux c’est de le mettre en premier de la liste
intel-agp

Pour les réglaglages supplémentaires, on peut lancer l’application « ATI catalyst Control Center » du menu Application, ou de taper dans une ligne de commande:

amdcccle

Remarque, pour ceux qui ont eu un problème lors du lancement de « ATI Catalyst Control Center », je vous propose de réinstaller le paquet amdccle (dans mon cas, j’avais installé par mégarde le paquet fglrx-control):

malagasy@malagasy-laptop:~/Desktop$ sudo dpkg -i fglrx-amdcccle_8.452.1-1_i386.deb
Sélection du paquet fglrx-amdcccle précédemment désélectionné.
dpkg : retirer fglrx-control en faveur de fglrx-amdcccle ...
dpkg : oui, suppression de fglrx-control en faveur de fglrx-amdcccle.
(Lecture de la base de données... 100853 fichiers et répertoires déjà installés.)
Dépaquetage de fglrx-amdcccle (à partir de fglrx-amdcccle_8.452.1-1_i386.deb) ...
Paramétrage de fglrx-amdcccle (8.452.1-1) ...


Mon fichier xorg.conf a été légèrement modifié:

# xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type « man xorg.conf » at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg

Section « ServerLayout »

# Uncomment if you have a wacom tablet
# InputDevice « stylus » « SendCoreEvents »
# InputDevice « cursor » « SendCoreEvents »
# InputDevice « eraser » « SendCoreEvents »
Identifier « Default Layout »
Screen 0 « aticonfig-Screen[0] » 0 0
InputDevice « Generic Keyboard »
InputDevice « Configured Mouse »
InputDevice « Synaptics Touchpad »
Option « AIGLX » « true »
EndSection

Section « Files »
Fontpath « /usr/share/X11/fonts/misc »
Fontpath « /usr/share/X11/fonts/cyrillic »
Fontpath « /usr/share/X11/fonts/100dpi/:unscaled »
Fontpath « /usr/share/X11/fonts/75dpi/:unscaled »
Fontpath « /usr/share/X11/fonts/Type1 »
Fontpath « /usr/share/X11/fonts/100dpi »
Fontpath « /usr/share/X11/fonts/75dpi »
# path to defoma fonts
Fontpath « /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType »
EndSection

Section « Module »
Load « i2c »
Load « bitmap »
Load « ddc »
Load « dri »
Load « extmod »
Load « freetype »
Load « glx »
Load « int10 »
Load « type1 »
Load « vbe »
EndSection

Section « InputDevice »
Identifier « Generic Keyboard »
Driver « kbd »
Option « CoreKeyboard »
Option « XkbRules » « xorg »
Option « XkbModel » « pc105 »
Option « XkbLayout » « fr »
Option « XkbVariant » « oss »
EndSection

Section « InputDevice »
Identifier « Configured Mouse »
Driver « mouse »
Option « CorePointer »
Option « Device » « /dev/input/mice »
Option « Protocol » « ImPS/2 »
Option « ZAxisMapping » « 4 5 »
Option « Emulate3Buttons » « true »
EndSection

Section « InputDevice »
Identifier « Synaptics Touchpad »
Driver « synaptics »
Option « SendCoreEvents » « true »
Option « Device » « /dev/psaux »
Option « Protocol » « auto-dev »
Option « HorizEdgeScroll » « 0 »
EndSection

Section « InputDevice »
Identifier « stylus »
Driver « wacom »
Option « Device » « /dev/input/wacom »
Option « Type » « stylus »
Option « ForceDevice » « ISDV4 » # Tablet PC ONLY
EndSection

Section « InputDevice »
Identifier « eraser »
Driver « wacom »
Option « Device » « /dev/input/wacom »
Option « Type » « eraser »
Option « ForceDevice » « ISDV4 » # Tablet PC ONLY
EndSection

Section « InputDevice »
Identifier « cursor »
Driver « wacom »
Option « Device » « /dev/input/wacom »
Option « Type » « cursor »
Option « ForceDevice » « ISDV4 » # Tablet PC ONLY
EndSection

Section « Monitor »
Identifier « aticonfig-Monitor[0] »
Option « VendorName » « ATI Proprietary Driver »
Option « ModelName » « Generic Autodetecting Monitor »
Option « DPMS » « true »
EndSection

Section « Device »
Identifier « aticonfig-Device[0] »
Driver « fglrx »
Option « VideoOverlay » « on »
Option « OpenGLOverlay » « off »
EndSection

Section « Screen »
Identifier « aticonfig-Screen[0] »
Device « aticonfig-Device[0] »
Monitor « aticonfig-Monitor[0] »
DefaultDepth 24
SubSection « Display »
Viewport 0 0
Depth 24
EndSubSection
EndSection

Section « Extensions »
Option « Composite » « enable »
EndSection

Décorations du bureau Gnome

  • Tango-generator 2

Pour l’installation, c’est très simple:

Il faut suivre les conseils sur ce topic: http://mejogid.ohallwebservices.com/site/index.php?q=node/3

C’est-à dire, qu’il faut tout d’abord télécharger le package tango-generator-3.2.0.tar.gz
Puis taper dans une console: #sudo make install

Pour le désinstaller, il suffit juste de taper: #sudo make uninstall

Erreur: « rsvg-convert from librsvg2-bin is not installed » / Résolu

Si jamais vous rencontrez ce type d’erreur, alors il faut ouvrir un terminal, puis taper les commandes suivantes:

sudo apt-get install librsvg2-bin imagemagick
rm -rf ~/.tango-generator

  • gcompizthemer

Pour l’installer:

sudo apt-get install gcompizthemer

sources: http://forum.ubuntu-fr.org/viewtopic.php?id=49105

  • screenlets

http://doc.ubuntu-fr.org/screenlets